# Replace all DNS Records for the specified Domain (https://developer.godaddy.com/en/docs/references/rest/domains/v1/record-replace)

---
title: Replace all DNS Records for the specified Domain
description: Replaces the entire DNS record set for the domain.
full: true
---

Full description

Replaces the entire DNS record set for the domain. All existing records are removed and replaced with the submitted set. Returns 204 No Content.

## PUT /v1/domains/{domain}/records

Replace all DNS Records for the specified Domain

Replaces the entire DNS record set for the domain. All existing records are removed and replaced with the submitted set. Returns 204 No Content.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `domain` | string | yes | Domain whose DNS Records are to be replaced |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Shopper-Id` | string | no | Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. |

### Request body (required)

DNS Records to replace whatever currently exists

Content-Type: `application/json`

Schema:

- array
  - items:

Content-Type: `application/xml`

Schema:

- array
  - items:

Content-Type: `text/xml`

Schema:

- array
  - items:

### Responses

**200** — Request was successful

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**404** — Resource not found

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**422** — - `domain` is not a valid Domain name
- `record` does not fulfill the schema

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

**500** — Internal server error

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**504** — Gateway timeout

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**Security:** requires `bearerAuth`.
